#!/bin/bash

prog="$2"
tool="$1"
if (($# > 2)); then
	valgrind $tool --vgdb-error=0 $prog < $3 &
else
	valgrind $tool --vgdb-error=0 $prog &
fi
valgrind_pid=$!
gdb --eval-command="target remote | vgdb --pid=$valgrind_pid" $prog
kill -9 $valgrind_pid >/dev/null 2>&1 
